import { ConstraintInterface } from './ConstraintInterface';
import { ConstraintConfig } from '../config/ConstraintConfig';
/**
 * Ruleset constraint factory.
 */
export declare class ConstraintFactory {
    private static constraints;
    /**
     * Instantiate a constraint configured with the passed in configuration.
     * @param config
     */
    static create(config: ConstraintConfig): ConstraintInterface;
    /**
     * Registers a new constraint type.
     * @param constraintType the name of the new constraint type
     * @param factory a factory method that will accept a configuration as input and will return a new instance of the constraint
     */
    static register(constraintType: string, factory: (config: ConstraintConfig) => ConstraintInterface): void;
}
