export declare const RuleBuilder: {
    exactValue: {
        withValue: (value: string | number) => {
            type: string;
            value: string | number;
        };
        withPathAndValue: (path: string, value: string | number) => {
            type: string;
            path: string;
            value: string | number;
        };
    };
    isIn: {
        withValues: (...values: string[]) => {
            type: string;
            values: string;
        };
    };
    composite: {
        any: () => {
            withSubRule: (rule: import("../config/RuleConfig").RuleConfig) => {
                withSubRule: any;
                build: () => {
                    type: string;
                    algorithm: string;
                    subRules: import("../config/RuleConfig").RuleConfig[];
                };
            };
        };
        all: () => {
            withSubRule: (rule: import("../config/RuleConfig").RuleConfig) => {
                withSubRule: any;
                build: () => {
                    type: string;
                    algorithm: string;
                    subRules: import("../config/RuleConfig").RuleConfig[];
                };
            };
        };
    };
    required: (path?: string | undefined) => {
        type: string;
        path: string | undefined;
    };
    length: {
        withLength: (length: number) => {
            type: string;
            length: number;
        };
    };
    matches: (pattern: string | RegExp) => {
        type: string;
        pattern: string | RegExp;
    };
};
