import * as ExactValueRule from './ExactValueRule';
import * as MaxLengthRule from './MaxLengthRule';
import * as RequiredRule from './RequiredRule';
import * as ValidUrlPathRule from './ValidUrlPathRule';
import * as ValidUrlRule from './ValidUrlRule';
import * as LengthRule from './LengthRule';
import { CompositeRule } from './CompositeRule';
import { RuleConfig } from '../config/RuleConfig';
export declare const RULE_DICTIONARY: {
    [x: string]: ((config: RuleConfig) => import("./GenericValidator").GenericValidator) | ((config: RuleConfig) => CompositeRule);
    [ExactValueRule.NAME]: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    [MaxLengthRule.NAME]: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    [RequiredRule.NAME]: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    [ValidUrlPathRule.NAME]: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    [ValidUrlRule.NAME]: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
    [LengthRule.NAME]: (config: RuleConfig) => import("./GenericValidator").GenericValidator;
};
