"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isDataURI', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isDataURI',
    });
    it('Should evaluate if string is a data URI', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: [
                'data:,Hello%2C%20World!',
                'data:text/plain;base64,SGVsbG8sIFdvcmxkIQ%3D%3D',
            ],
            invalid: [],
        });
    });
});
//# sourceMappingURL=IsDataUriRule.test.js.map