"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isMimeType', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isMimeType',
    });
    it('Should evaluate if string is a valid mime type', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: [
                'application/octet-stream',
                'text/plain',
                'audio/wave',
                'multipart/form-data',
            ],
            invalid: ['abcde', 'mickey/mouse'],
        });
    });
});
//# sourceMappingURL=IsMimeType.test.js.map