"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isNumeric', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isNumeric',
    });
    it('Should evaluate if string is a numeric string', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: [
                '123',
                '00123',
                '-00123',
                '0',
                '-0',
                '+123',
                '123.123',
                '+000000',
            ],
            invalid: [' ', '.', 'a'],
        });
    });
});
//# sourceMappingURL=IsNumeric.test.js.map