"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../../src/rules/RuleFactory");
const utils_1 = require("../../utils");
describe('isRFC3339', () => {
    const rule = RuleFactory_1.RuleFactory.create({
        type: 'isRFC3339',
    });
    it('Should evaluate if string is an RFC3339 string', () => {
        utils_1.test(rule, {
            path: 'field1.field2',
            valid: ['1985-04-12T23:20:50.52Z'],
            invalid: ['1985-04-12T23:20:50.52K'],
        });
    });
});
//# sourceMappingURL=isRFC3339.test.js.map