"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../src/rules/RuleFactory");
const data = {
    nested: {
        nested: {
            url1: '/folder/file',
            url2: '/folder/',
            url3: '////asdfsd///asdf//asdf////\\sadf@&^*(sdf',
        },
    },
};
describe('ValidUrlPathRule', () => {
    const config = {
        type: 'VALID_URL_PATH',
    };
    it('Should succeed - url1', () => {
        expect(RuleFactory_1.RuleFactory.create(config).evaluate('nested.nested.url1', data)).toEqual({
            valid: true,
        });
    });
    it('Should succeed - url2', () => {
        expect(RuleFactory_1.RuleFactory.create(config).evaluate('nested.nested.url2', data)).toEqual({
            valid: true,
        });
    });
    it('Should fail - url3', () => {
        expect(RuleFactory_1.RuleFactory.create(config).evaluate('nested.nested.url3', data)).toEqual({
            valid: false,
            field: 'nested.nested.url3',
            message: "Value 'nested.nested.url3' is not a valid URL path",
        });
    });
});
//# sourceMappingURL=ValidUrlPathRule.test.js.map