"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RuleFactory_1 = require("../../src/rules/RuleFactory");
const data = {
    nested: {
        nested: {
            url1: 'http://localhost',
            url2: 'localhost',
        },
    },
};
describe('ValidUrlRule', () => {
    const config = {
        type: 'VALID_URL',
    };
    it('Should succeed - url1', () => {
        expect(RuleFactory_1.RuleFactory.create(config).evaluate('nested.nested.url1', data)).toEqual({
            valid: true,
        });
    });
    it('Should fail - url2', () => {
        expect(RuleFactory_1.RuleFactory.create(config).evaluate('nested.nested.url2', data)).toEqual({
            valid: false,
            message: 'Value nested.nested.url2 is not a valid URL string',
            field: 'nested.nested.url2',
        });
    });
});
//# sourceMappingURL=ValidUrlRule.test.js.map