"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
function test(rule, { path, valid, invalid }) {
    valid.forEach((value) => {
        const data = {};
        lodash_1.set(data, path, value);
        const res = rule.evaluate(path, data);
        if (!res.valid) {
            throw Error(`${rule.type()} failed but should have passed: ${res.message} (value: '${value}')`);
        }
    });
    invalid.forEach((value) => {
        const data = {};
        lodash_1.set(data, path, value);
        const res = rule.evaluate(path, data);
        if (res.valid) {
            throw Error(`${rule.type()} passed but should have failed (value: '${value}')`);
        }
    });
}
exports.test = test;
//# sourceMappingURL=utils.js.map